Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
[Java] Class AssertionVerifier

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionVerifier

    public abstract class AssertionVerifier
    extends Object

Verifies that assertions hold, throwing a PowerAssertionError otherwise. Only meant to be called from code generated by the transformation.

Authors:
  Peter Niederwieser

Field Summary
`static String` | `VERIFY_METHOD_NAME`

Method Summary
`static void` | `verify(Object truthValue, String text, ValueRecorder recorder)` Verifies that the given value is true according to Groovy truth, throwing a PowerAssertionError with a cleaned-up stacktrace and helpful detail message otherwise.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### VERIFY_METHOD_NAME

    public static final String VERIFY_METHOD_NAME

Method Detail

### verify

    public static void verify(Object truthValue, String text, ValueRecorder recorder)

  Verifies that the given value is true according to Groovy truth, throwing a PowerAssertionError with a cleaned-up stacktrace and helpful detail message otherwise.
  Parameters:
    `truthValue` - the value of an assertion's truth expression
    `text` - the source text of the assertion
    `recorder` - a ValueRecorder used for rendering failed assertions

Copyright © 2003-2010 The Codehaus. All rights reserved.